"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var yaml_1 = require("yaml");
var fs_1 = __importDefault(require("fs"));
function default_1(siteName, testDir, config, inputDevices) {
    var yaml = (0, yaml_1.parse)(fs_1.default.readFileSync("./config/sites/".concat(siteName, "/config.yaml"), 'utf8'));
    var project = {
        label: yaml.websiteTitle,
        envs: {
            production: yaml.base
        }
    };
    if (testDir) {
        project.project = {
            testDir: testDir,
        };
    }
    if (config) {
        project.project = __assign(__assign({}, project.project), config);
    }
    if (inputDevices) {
        project.devices = inputDevices;
    }
    for (var _i = 0, _a = yaml.baseVariants; _i < _a.length; _i++) {
        var variant = _a[_i];
        var matches = variant.condition.match(/"(.*?)"/);
        var env = (matches ? matches[1] : false);
        if (env) {
            env = env.split('/');
            env = env.length > 1 ? env[1] : env[0];
            env = env.toLowerCase();
            project.envs[env] = variant.base;
        }
    }
    return project;
}
exports.default = default_1;
